Bug 728254 - [abrt] grip-3.2.0-30.fc15: GripUpdate: Process /usr/bin/grip was killed by signal 11 (SIGSEGV)
Summary: [abrt] grip-3.2.0-30.fc15: GripUpdate: Process /usr/bin/grip was killed by si...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: grip
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0061c82d24a0fc8929c27a873c0...
: 681465 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 14:05 UTC by Steve
Modified: 2012-03-26 09:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-26 09:35:20 UTC


Attachments (Terms of Use)
File: maps (43.90 KB, text/plain)
2011-08-04 14:05 UTC, Steve
no flags Details
File: backtrace (16.54 KB, text/plain)
2012-01-18 09:47 UTC, Ferry Huberts
no flags Details

Description Steve 2011-08-04 14:05:42 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        grip
comment:        Just closed grip.
component:      grip
crash_function: GripUpdate
executable:     /usr/bin/grip
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        grip-3.2.0-30.fc15
reason:         Process /usr/bin/grip was killed by signal 11 (SIGSEGV)
time:           Thu Aug  4 16:04:10 2011
uid:            500
username:       sysop

maps:           Text file, 44950 bytes

backtrace:
:[New LWP 25393]
:[New LWP 25394]
:[Thread debugging using libthread_db enabled]
:Core was generated by `grip'.
:Program terminated with signal 11, Segmentation fault.
:#0  GripUpdate (app=0x1d6b000) at grip.c:674
:674	grip.c: No such file or directory.
:	in grip.c
:
:Thread 2 (Thread 0x7fa5a629b700 (LWP 25394)):
:#0  0x00000035072d7293 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003509242d24 in g_main_context_poll (n_fds=1, fds=0x7fa5a0001150, priority=<optimized out>, timeout=-1, context=0x1d5fb20) at gmain.c:3405
:        poll_func = 0x3509251310 <g_poll>
:#2  g_main_context_iterate (context=0x1d5fb20, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = 0x7fa5a0001150
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x000000350924360d in g_main_loop_run (loop=0x1d5fb00) at gmain.c:3300
:        self = 0x1d5fc10
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x000000350b2b4564 in gdbus_shared_thread_func (data=<optimized out>) at gdbusprivate.c:276
:No locals.
:#5  0x00000035092683a6 in g_thread_create_proxy (data=0x1d5fc10) at gthread.c:1955
:        thread = 0x1d5fc10
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003507607af1 in start_thread (arg=0x7fa5a629b700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7fa5a629b700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -7626420775847399821, 140736210495712, 140349434083776, 0, 3, 7593859411686518387, -7619091710196912525}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x00000035072dfb7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7fa5ad1019e0 (LWP 25393)):
:#0  GripUpdate (app=0x1d6b000) at grip.c:674
:        ginfo = <optimized out>
:        secs = <optimized out>
:#1  0x0000000000407090 in TimeOut (data=<optimized out>) at main.c:226
:No locals.
:#2  0x000000350924410b in g_timeout_dispatch (source=<optimized out>, callback=<optimized out>, user_data=<optimized out>) at gmain.c:3895
:        timeout_source = 0x1f6fe70
:        again = <optimized out>
:#3  0x00000035092427ed in g_main_dispatch (context=0x1d00520) at gmain.c:2441
:        dispatch = 0x35092440f0 <g_timeout_dispatch>
:        was_in_call = 0
:        user_data = 0x0
:        callback = 0x407080 <TimeOut>
:        cb_funcs = 0x3509515c50
:        cb_data = 0x1f7a7a0
:        current_source_link = {data = 0x1f6fe70, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x1f6fe70
:        current = 0x1d5d820
:        i = <optimized out>
:#4  g_main_context_dispatch (context=0x1d00520) at gmain.c:3014
:No locals.
:#5  0x0000003509242fc8 in g_main_context_iterate (context=0x1d00520, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 0
:        timeout = 0
:        some_ready = 1
:        nfds = 10
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#6  0x000000350924360d in g_main_loop_run (loop=0x1ef0660) at gmain.c:3300
:        self = 0x1cd2170
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#7  0x00000034044a17c8 in IA__gtk_clipboard_store (clipboard=0x1f76830 [GtkClipboard]) at gtkclipboard.c:2044
:        clipboard_widget = 0x1e35090 [GtkInvisible]
:        __PRETTY_FUNCTION__ = "IA__gtk_clipboard_store"
:#8  0x00000034044a187f in _gtk_clipboard_store_all () at gtkclipboard.c:2080
:        display = <optimized out>
:        clipboard = <optimized out>
:        displays = 0x1f98140 = {0x1cf5030}
:        list = 0x1f98140 = {0x1cf5030}
:#9  0x000000340434c143 in IA__gtk_main () at gtkmain.c:1307
:        tmp_list = <optimized out>
:        functions = <optimized out>
:        init = <optimized out>
:        loop = 0x1f6f470
:#10 0x00000000004073c0 in Cmain (argc=<optimized out>, argv=<optimized out>) at main.c:190
:        client = 0x1ce2830 [GnomeClient]
:#11 0x000000350722139d in __libc_start_main (main=0x406f90 <main(int, char**)>, argc=1, ubp_av=0x7fffb3d57008, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffb3d56ff8) at libc-start.c:226
:        result = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -7626420775847399821, 4222872, 140736210497536, 0, 0, 7626534940935777907, -7619091174153458061}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x7fffb3d57018, 0x1}, data = {prev = 0x0, cleanup = 0x0, canceltype = -1277857768}}}
:        not_first_call = <optimized out>
:#12 0x0000000000406fc1 in _start ()
:No symbol table info available.
:From                To                  Syms Read   Shared Object Library
:0x0000003407611cc0  0x0000003407640e4c  Yes         /usr/lib64/libvte.so.9
:0x00000034042697f0  0x000000340450ea9c  Yes         /usr/lib64/libgtk-x11-2.0.so.0.2400.4
:0x0000003403e1e760  0x0000003403e81b5c  Yes         /usr/lib64/libgdk-x11-2.0.so.0.2400.4
:0x000000350e6097b0  0x000000350e6156bc  Yes         /usr/lib64/libatk-1.0.so.0.9.1
:0x000000350fe076f0  0x000000350fe2131c  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.4
:0x0000003402e04940  0x0000003402e0935c  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.4
:0x0000003567606290  0x0000003567619c9c  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:0x0000003567204890  0x000000356721eb8c  Yes         /usr/lib64/libpng12.so.0.46.0
:0x000000350fa0ee20  0x000000350fa2cb1c  Yes         /usr/lib64/libpango-1.0.so.0.2800.4
:0x000000350c20c960  0x000000350c2738fc  Yes         /usr/lib64/libfreetype.so.6.6.2
:0x000000350c605d90  0x000000350c61f7fc  Yes         /usr/lib64/libfontconfig.so.1.4.4
:0x000000350b2294a0  0x000000350b2d2b3c  Yes         /lib64/libgio-2.0.so.0.2800.8
:0x0000003509e09970  0x0000003509e39dcc  Yes         /lib64/libgobject-2.0.so.0.2800.8
:0x000000350a200fe0  0x000000350a201f8c  Yes         /lib64/libgmodule-2.0.so.0.2800.8
:0x0000003509a01560  0x0000003509a02a2c  Yes         /lib64/libgthread-2.0.so.0.2800.8
:0x0000003507e02160  0x0000003507e053ec  Yes         /lib64/librt-2.14.so
:0x0000003509216cd0  0x00000035092adbec  Yes         /lib64/libglib-2.0.so.0.2800.8
:0x000000340320b170  0x0000003403282a9c  Yes         /usr/lib64/libcairo.so.2.11000.2
:0x000000340061dce0  0x00000034006a97ec  Yes         /usr/lib64/libX11.so.6.3.0
:0x000000351f203360  0x000000351f2112ac  Yes         /usr/lib64/libcdda_interface.so.0
:0x0000003406202230  0x000000340620853c  Yes         /usr/lib64/libcdda_paranoia.so.0
:0x00000034052156f0  0x000000340522ebbc  Yes         /usr/lib64/libid3-3.8.so.3
:0x0000003508a01e70  0x0000003508a0e67c  Yes         /lib64/libz.so.1.2.5
:0x0000003403a5a400  0x0000003403ac308a  Yes         /usr/lib64/libstdc++.so.6
:0x0000003407222380  0x00000034072688ac  Yes         /usr/lib64/libgnomeui-2.so.0
:0x0000003569201ad0  0x0000003569205d7c  Yes         /usr/lib64/libSM.so.6.0.1
:0x0000003514604cf0  0x0000003514612eac  Yes         /usr/lib64/libICE.so.6.3.0
:0x000000340661de10  0x000000340665384c  Yes         /usr/lib64/libbonoboui-2.so.0
:0x0000003404a17a30  0x0000003404a4ee2c  Yes         /usr/lib64/libgnomevfs-2.so.0
:0x0000003406a0bd20  0x0000003406a2a53c  Yes         /usr/lib64/libgnomecanvas-2.so.0
:0x0000003405607070  0x0000003405610f8c  Yes         /usr/lib64/libgnome-2.so.0
:0x0000003515e01ba0  0x0000003515e0713c  Yes         /lib64/libpopt.so.0
:0x000000351ba280e0  0x000000351ba5250c  Yes         /usr/lib64/libbonobo-2.so.0
:0x0000003516a0aeb0  0x0000003516a12f2c  Yes         /usr/lib64/libbonobo-activation.so.4
:0x0000003519227a20  0x000000351924b74c  Yes         /usr/lib64/libORBit-2.so.0
:0x0000003520602f30  0x0000003520615628  Yes         /usr/lib64/libart_lgpl_2.so.2
:0x0000003508203ea0  0x0000003508243e9c  Yes         /lib64/libm-2.14.so
:0x0000003519e11b10  0x0000003519e2d72c  Yes         /usr/lib64/libgconf-2.so.4
:0x000000356b809400  0x000000356b847a0c  Yes         /usr/lib64/libcurl.so.4
:0x00000034002028a0  0x00000034002120cc  Yes         /lib64/libgcc_s.so.1
:0x0000003507605640  0x000000350761038c  Yes         /lib64/libpthread-2.14.so
:0x000000350721ece0  0x000000350734304c  Yes         /lib64/libc-2.14.so
:0x000000351e606b60  0x000000351e61dc0c  Yes         /lib64/libncurses.so.5
:0x000000351ae0cbe0  0x000000351ae16d2c  Yes         /lib64/libtinfo.so.5
:0x00000034016013e0  0x000000340160450c  Yes         /usr/lib64/libXfixes.so.3
:0x0000003400a03460  0x0000003400a0e31c  Yes         /usr/lib64/libXext.so.6.4.0
:0x0000003401201910  0x000000340120810c  Yes         /usr/lib64/libXrender.so.1
:0x0000003402200a00  0x000000340220148c  Yes         /usr/lib64/libXinerama.so.1
:0x0000003400e01f00  0x0000003400e0c57c  Yes         /usr/lib64/libXi.so.6
:0x0000003401e01720  0x0000003401e0675c  Yes         /usr/lib64/libXrandr.so.2
:0x0000003401a028d0  0x0000003401a0749c  Yes         /usr/lib64/libXcursor.so.1
:0x0000003402600b30  0x000000340260189c  Yes         /usr/lib64/libXcomposite.so.1
:0x0000003402a00a90  0x0000003402a0160c  Yes         /usr/lib64/libXdamage.so.1
:0x000000350b603b70  0x000000350b61d84c  Yes         /lib64/libexpat.so.1
:0x0000003507a00de0  0x0000003507a0191c  Yes         /lib64/libdl-2.14.so
:0x0000003509603840  0x000000350961354c  Yes         /lib64/libresolv-2.14.so
:0x0000003508e05980  0x0000003508e159dc  Yes         /lib64/libselinux.so.1
:0x0000003506e00b20  0x0000003506e18caa  Yes         /lib64/ld-2.14.so
:0x000000350e207e10  0x000000350e25c0ac  Yes         /usr/lib64/libpixman-1.so.0
:0x000000350aa08660  0x000000350aa13b9c  Yes         /usr/lib64/libxcb.so.1
:0x0000003405a06ee0  0x0000003405a16b4c  Yes         /usr/lib64/libgnome-keyring.so.0
:0x00000035682014f0  0x0000003568202aec  Yes         /lib64/libuuid.so.1
:0x000000351122c960  0x000000351131007c  Yes         /usr/lib64/libxml2.so.2.7.8
:0x0000003404e0a400  0x0000003404e1c51c  Yes         /usr/lib64/libdbus-glib-1.so.2
:0x00000034036076f0  0x000000340363051c  Yes         /lib64/libdbus-1.so.3
:0x0000003f44e14560  0x0000003f44e4697c  Yes         /usr/lib64/libssl.so.10
:0x000000351365c880  0x00000035137219bc  Yes         /lib64/libcrypto.so.10
:0x000000351ee00ca0  0x000000351ee01acc  Yes         /usr/lib64/libavahi-glib.so.1
:0x000000351b2033b0  0x000000351b2086ac  Yes         /usr/lib64/libavahi-common.so.3
:0x0000003405e038f0  0x0000003405e0c44c  Yes         /usr/lib64/libavahi-client.so.3
:0x000000351a200e10  0x000000351a20168c  Yes         /lib64/libutil-2.14.so
:0x0000003406e029a0  0x0000003406e0616c  Yes         /usr/lib64/libgailutil.so.18.0.1
:0x000000351da032a0  0x000000351da0c41c  Yes         /usr/lib64/libcanberra.so.0
:0x0000003517e03110  0x0000003517e03adc  Yes         /usr/lib64/libORBitCosNaming-2.so.0
:0x000000351d602f00  0x000000351d6073fc  Yes         /lib64/libidn.so.11
:0x000000356b4035b0  0x000000356b40a95c  Yes         /usr/lib64/liblber-2.4.so.2
:0x000000356b00e140  0x000000356b039f4c  Yes         /usr/lib64/libldap-2.4.so.2
:0x0000003f43e09d60  0x0000003f43e35f3c  Yes         /lib64/libgssapi_krb5.so.2
:0x0000003f4421a670  0x0000003f4428e30c  Yes         /lib64/libkrb5.so.3
:0x0000003f44604710  0x0000003f4461d09c  Yes         /lib64/libk5crypto.so.3
:0x0000003511e013b0  0x0000003511e01fac  Yes         /lib64/libcom_err.so.2
:0x0000003518207bf0  0x000000351822ab9c  Yes         /usr/lib64/libssl3.so
:0x0000003518609ea0  0x0000003518622afc  Yes         /usr/lib64/libsmime3.so
:0x00000035176186c0  0x00000035176fa86c  Yes         /usr/lib64/libnss3.so
:0x0000003517a08540  0x0000003517a137cc  Yes         /usr/lib64/libnssutil3.so
:0x0000003517200ec0  0x0000003517201ddc  Yes         /lib64/libplds4.so
:0x00000035162013e0  0x0000003516202b6c  Yes         /lib64/libplc4.so
:0x0000003515a0cf80  0x0000003515a2c3cc  Yes         /lib64/libnspr4.so
:0x0000003f45604cf0  0x0000003f4561cbc8  Yes         /usr/lib64/libssh2.so.1
:0x000000350a600dd0  0x000000350a601b2c  Yes         /usr/lib64/libXau.so.6
:0x0000003516e06e00  0x0000003516e4fd7c  Yes         /lib64/libgcrypt.so.11
:0x000000351c201fa0  0x000000351c20611c  Yes         /usr/lib64/libvorbisfile.so.3.3.4
:0x0000003519603700  0x000000351961a6ac  Yes         /usr/lib64/libvorbis.so.0.4.5
:0x0000003518a018d0  0x0000003518a03f7c  Yes         /usr/lib64/libogg.so.0
:0x0000003518e02350  0x0000003518e0b7dc  Yes         /usr/lib64/libtdb.so.1
:0x000000351a602360  0x000000351a60669c  Yes         /usr/lib64/libltdl.so.7
:0x000000351aa04640  0x000000351aa1469c  Yes         /usr/lib64/libsasl2.so.2
:0x0000003f44a02820  0x0000003f44a078ac  Yes         /lib64/libkrb5support.so.0
:0x0000003512600aa0  0x0000003512600f7c  Yes         /lib64/libkeyutils.so.1
:0x0000003515600840  0x0000003515600dcc  Yes         /lib64/libgpg-error.so.0
:0x0000003513e00c10  0x0000003513e05afc  Yes         /lib64/libcrypt-2.14.so
:0x0000003514203170  0x00000035142417bc  Yes         /lib64/libfreebl3.so
:0x00007fa5a6ad3170  0x00007fa5a6ada8ac  Yes         /lib64/libnss_files-2.14.so
:0x00007fa5a68aba90  0x00007fa5a68cc05c  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
:0x00007fa5a66a6690  0x00007fa5a66a6e8c  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
:0x00007fa5a64a1fc0  0x00007fa5a64a3f3c  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
:0x00007fa5a629dc70  0x00007fa5a629f08c  Yes         /usr/lib64/libcanberra-gtk.so.0
:0x00007fa5a5783420  0x00007fa5a578473c  Yes         /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so
:0x00007fa5a488cab0  0x00007fa5a48a56ac  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
:0x00007fa5a4658210  0x00007fa5a46622ec  Yes         /usr/lib64/libgvfscommon.so.0
:0x00007fa5a4442e40  0x00007fa5a444accc  Yes         /lib64/libudev.so.0
:0x00007fa5a423d480  0x00007fa5a423debc  Yes         /usr/lib64/gconv/ISO8859-1.so
:$1 = 0x0
:$2 = 0x0
:rax            0x0	0
:rbx            0x1d6b000	30846976
:rcx            0x7fa5ad1019e0	140349549844960
:rdx            0x35078162c0	227759186624
:rsi            0x0	0
:rdi            0x2	2
:rbp            0x1	0x1
:rsp            0x7fffb3d56c80	0x7fffb3d56c80
:r8             0x1f7d4b0	33019056
:r9             0x206e6f6974726573	2336927755367769459
:r10            0x1	1
:r11            0x0	0
:r12            0x1	1
:r13            0x1d5d820	30791712
:r14            0x3509515c50	227789593680
:r15            0x1d00520	30410016
:rip            0x407540	0x407540 <GripUpdate+32>
:eflags         0x10246	[ PF ZF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function GripUpdate:
:   0x0000000000407520 <+0>:	push   %rbx
:   0x0000000000407521 <+1>:	mov    %rdi,%rbx
:   0x0000000000407524 <+4>:	sub    $0x10,%rsp
:   0x0000000000407528 <+8>:	callq  0x4065f8 <gtk_object_get_type@plt>
:   0x000000000040752d <+13>:	mov    %rbx,%rdi
:   0x0000000000407530 <+16>:	mov    %rax,%rsi
:   0x0000000000407533 <+19>:	callq  0x405c58 <g_type_check_instance_cast@plt>
:   0x0000000000407538 <+24>:	mov    %rax,%rdi
:   0x000000000040753b <+27>:	callq  0x406b38 <gtk_object_get_user_data@plt>
:=> 0x0000000000407540 <+32>:	mov    0x732b4(%rax),%r8d
:   0x0000000000407547 <+39>:	mov    %rax,%rbx
:   0x000000000040754a <+42>:	test   %r8d,%r8d
:   0x000000000040754d <+45>:	jne    0x407608 <GripUpdate+232>
:   0x0000000000407553 <+51>:	mov    0x732b8(%rbx),%edi
:   0x0000000000407559 <+57>:	test   %edi,%edi
:   0x000000000040755b <+59>:	jne    0x4075f8 <GripUpdate+216>
:   0x0000000000407561 <+65>:	xor    %edi,%edi
:   0x0000000000407563 <+67>:	callq  0x4066a8 <time@plt>
:   0x0000000000407568 <+72>:	mov    0x73288(%rbx),%esi
:   0x000000000040756e <+78>:	test   %esi,%esi
:   0x0000000000407570 <+80>:	jne    0x40757c <GripUpdate+92>
:   0x0000000000407572 <+82>:	movl   $0x1,0x73288(%rbx)
:   0x000000000040757c <+92>:	mov    0x7397c(%rbx),%edx
:   0x0000000000407582 <+98>:	or     0x73978(%rbx),%edx
:   0x0000000000407588 <+104>:	jne    0x4075e0 <GripUpdate+192>
:   0x000000000040758a <+106>:	mov    0x73988(%rbx),%ecx
:   0x0000000000407590 <+112>:	test   %ecx,%ecx
:   0x0000000000407592 <+114>:	jne    0x4075d0 <GripUpdate+176>
:   0x0000000000407594 <+116>:	mov    0x73284(%rbx),%edx
:   0x000000000040759a <+122>:	test   %edx,%edx
:   0x000000000040759c <+124>:	je     0x4075c0 <GripUpdate+160>
:   0x000000000040759e <+126>:	movslq 0x73288(%rbx),%rcx
:   0x00000000004075a5 <+133>:	mov    %rax,%rdx
:   0x00000000004075a8 <+136>:	sar    $0x3f,%rdx
:   0x00000000004075ac <+140>:	idiv   %rcx
:   0x00000000004075af <+143>:	test   %rdx,%rdx
:   0x00000000004075b2 <+146>:	jne    0x4075c0 <GripUpdate+160>
:   0x00000000004075b4 <+148>:	mov    0x73254(%rbx),%eax
:   0x00000000004075ba <+154>:	test   %eax,%eax
:   0x00000000004075bc <+156>:	je     0x407618 <GripUpdate+248>
:   0x00000000004075be <+158>:	xchg   %ax,%ax
:   0x00000000004075c0 <+160>:	add    $0x10,%rsp
:   0x00000000004075c4 <+164>:	mov    %rbx,%rdi
:   0x00000000004075c7 <+167>:	pop    %rbx
:   0x00000000004075c8 <+168>:	jmpq   0x4108e0 <UpdateDisplay>
:   0x00000000004075cd <+173>:	nopl   (%rax)
:   0x00000000004075d0 <+176>:	add    $0x10,%rsp
:   0x00000000004075d4 <+180>:	pop    %rbx
:   0x00000000004075d5 <+181>:	retq   
:   0x00000000004075d6 <+182>:	nopw   %cs:0x0(%rax,%rax,1)
:   0x00000000004075e0 <+192>:	mov    %rbx,%rdi
:   0x00000000004075e3 <+195>:	mov    %rax,0x8(%rsp)
:   0x00000000004075e8 <+200>:	callq  0x4163f0 <UpdateRipProgress>
:   0x00000000004075ed <+205>:	mov    0x8(%rsp),%rax
:   0x00000000004075f2 <+210>:	jmp    0x40758a <GripUpdate+106>
:   0x00000000004075f4 <+212>:	nopl   0x0(%rax)
:   0x00000000004075f8 <+216>:	mov    %rbx,%rdi
:   0x00000000004075fb <+219>:	callq  0x40ff30 <Rewind>
:   0x0000000000407600 <+224>:	jmpq   0x407561 <GripUpdate+65>
:   0x0000000000407605 <+229>:	nopl   (%rax)
:   0x0000000000407608 <+232>:	mov    %rax,%rdi
:   0x000000000040760b <+235>:	callq  0x40fe90 <FastFwd>
:   0x0000000000407610 <+240>:	jmpq   0x407553 <GripUpdate+51>
:   0x0000000000407615 <+245>:	nopl   (%rax)
:   0x0000000000407618 <+248>:	xor    %esi,%esi
:   0x000000000040761a <+250>:	mov    %rbx,%rdi
:   0x000000000040761d <+253>:	callq  0x4100c0 <CheckNewDisc>
:   0x0000000000407622 <+258>:	jmp    0x4075c0 <GripUpdate+160>
:End of assembler dump.

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:8931ab3c073ffb8513aa5e95e6df924ee22b3691
:f65baade131f67f424c4167cb2f046cb63a96c01
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:a934a1c5455331d7f1b622b9b70eb312ca4adf28
:1ba57a696637c1e23edecbd851a292f85214b29c
:bac4af78da4677daf4d4c8284fbd18f7fb135f53
:89017ab0b75e533e4294f74ee8f7db3daceea536
:443a8fc252ef24e3572505ab2919a3af3c00feb2
:d0c6e13f00a20952a72a945c929efb175fd760e3
:9cd020ec2107c08febe2c8fcabd158212c207854
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:020ea634b00e306a5ba5982d96f7f55c560bee88
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:aaf62304b0fc10611d35b4f56005479d4c58868d
:cdd87cfe38115dcd04c1503689de2a4f5913d6ef
:ebb6702a16d91f29f76e61e919170eba439029c5
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:a7f1c18b1ea74748c739d5dc04cf55c46358f641
:57cbb0afbaa275acda7b7f1d8305d3ef80e88c5a
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:5e7c7237a025f271e5ed1418cb23420764b09725
:f6b89ea2840b9a4c6918300619276497f70b7a37
:15b7f78a004c4f3b671b52e39679b4df8d7135ec
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:c08ee75747f49663df26be3e321cb24fbf70a426
:23b6792e3218744316fd495002f40a037c2e0095
:04fb07d457ba1fffb554e737d15470b55405fbba
:b06863e37ed8553f282a929588a1453c52630bcd
:7c13b0a2a8a69328c0a982bb050f291b30326648
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:1ec7f89f76e8988f43ceb32fccd92d513dffef8e
:cdf46472abd28e0cec312a4d471be716f4884118
:bfe78a8c603507f97b538d3f90408421fe089bc8
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:e56a1c53a3cc7096355bdae521a2bf98041de78d
:2ea53568eef810c7b35ac53cfb15a47fd9747450
:189c7475c0490584f314acd7377d00adc0fc2b1a
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:c4b1f303950835fe1e9a5019ce1d368ef8249392
:f77561c1910d48f6d02230d9837b95851d06a761
:1974e887b80ccb4c8798df5ed0c34b6fd75cebe8
:2b62aca27c2bee4ff1369be4cfa101a15ad7daac
:48aea888319e1848137073c9cbde54a4c2a731c9
:d259f77e246b7dde5797633a40e4a655375f9b97
:09964c492d50efe5e16f56001b3b6eccdd4e6f09
:dd63eb802b35280521d3763a37da2c4156455408
:1541a10957f3f42646dd12286aa4644ad5d8d0fc
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:9c7124f8172c2f993351b55d0e5db3439f9b1bb7
:876e109b32b4120f117901480512f2714d629558
:096d5ffaa54bc927bbff329fc72f6207137ad809
:491c7ad109d751508a100e2f33fdacdebeceb8ad
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:4ead7e31a3a01781151307f8a41645f011bcb498
:24ff9a7707dda1bbffc06a49e284fd1732e6066d
:8c1fee7545665c8b2e0d39ad53744122210e6d69
:88c273fb9c6869c8e7a2c4ef8e1a8f10b50d1b49
:1d96a62981a95493f0c21aadc43d00f6cc23d7a4
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:9e7f9920023c7d8d35e94b041966c802abfbb0a9
:ebe7a591c99931b940b3d8ddfca3d7e891a69576
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:585e18f56063dab8934660820f0c63765c6c1a1f
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:e01f93e4d0104969c6f61e8413292ce88b940297
:0911ea7c180d733724f89037b8e8a34e64024aec
:634eca0cadcf35206919dd5e6a8e2e8601276947
:e5f626726497a81807681ed0088dbce6d6a1f17b
:263808e67654286dd52d513eff5f47217feb6bf2
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:974384eb7bcfac13186a7676480be49456185560
:5668ffb344805c124a6ccddfbfe357f01d7f8cc1
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:bcd44b8aa72b0aabf1903b5c1d24417bd50d2a23
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:8164c04fe43680778d29c2775cef453f494ab62b
:1d57d6265af730dcde4d2117d57406fe634310d6
:2de84e5accaa416512e0b39154f376fa33353af5
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:95732a44ff4626574a2c981184614ecab521006f
:a7058457616c8548e784de3ed1b2c37259c62ca7
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:27ab16605c5b89040647648c47c9d1afd6a2bc28
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:12811ba0ae266e560b333e017715c3cb638a066e
:fc4ea781fa38eda7d7ed0b1ff2099ab5a1709ebb
:34fdb31481906f347f8dd8215f0df5d3f074167b
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:4953d1f613914126bccceb3cb96386647ffba9df
:d87cdd71509313424501facf8bc2edd95430264f
:552c6a93aee798ae600a5544eb058e544c9254c2
:4c842320387ff7f6f91b7842b223c16518be909f
:91689252818532ec13597b6528d38be93b2706c4
:44474ec57427d154a00bb45d5ab6b73ed68abd5a
:a3ee5d57d91782d3bc79d26becff801c08613ec7
:3cb38edbc184347a707c6c431ca50085bbd5228a
:e63f2dd05e6fcc56ec3bd61d5177cfced504fecb
:430727f8c2266b98bd2cad149c613766e50fb5d9
:824c7ed12bdc96a755733f7bae01ae6d965465f8
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:dd5dada4600e9f496abc0deecd6fa5be4597cfaf
:fa565193ba81119aca56fd377f7ce66b560faf7d
:83eaf534f789338ec43432c66a28bb7680834b45

dso_list:
:/lib64/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.x86_64 (Fedora Project) 1306308749
:/usr/lib64/liblber-2.4.so.2.6.0 openldap-2.4.24-3.fc15.x86_64 (Fedora Project) 1311057114
:/lib64/libcrypt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309156495
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306308946
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308722620
:/usr/lib64/libbonobo-2.so.0.0.0 libbonobo-2.32.1-1.fc15.x86_64 (Fedora Project) 1306308774
:/lib64/libnspr4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1306310598
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1306308822
:/usr/lib64/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1306308968
:/usr/lib64/libgnomevfs-2.so.0.2400.4 gnome-vfs2-2.24.4-5.fc15.x86_64 (Fedora Project) 1306308924
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1306308940
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307778866
:/usr/lib64/libORBitCosNaming-2.so.0.1.0 ORBit2-2.14.19-2.fc15.x86_64 (Fedora Project) 1306308773
:/usr/lib64/libssl.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1306308814
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311057112
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1306308827
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310016765
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1306308738
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1306308939
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308722620
:/usr/lib64/libgnomeui-2.so.0.2400.5 libgnomeui-2.24.5-2.fc15.x86_64 (Fedora Project) 1306308967
:/usr/lib64/libcdda_interface.so.0.10.2 cdparanoia-libs-10.2-10.fc15.x86_64 (Fedora Project) 1306308783
:/lib64/libtinfo.so.5.8 ncurses-libs-5.8-2.20110319.fc15.x86_64 (Fedora Project) 1306308738
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309763608
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1306308941
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1306308748
:/usr/lib64/libbonobo-activation.so.4.0.0 libbonobo-2.32.1-1.fc15.x86_64 (Fedora Project) 1306308774
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1306308941
:/usr/lib64/gconv/ISO8859-1.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/lib64/libncurses.so.5.8 ncurses-libs-5.8-2.20110319.fc15.x86_64 (Fedora Project) 1306308738
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1306308968
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307778870
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312273820
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1306308813
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/usr/bin/grip grip-1:3.2.0-30.fc15.x86_64 (Fedora Project) 1306314058
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309156498
:/usr/lib64/libgailutil.so.18.0.1 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308722620
:/usr/lib64/libid3-3.8.so.3.0.0 id3lib-3.8.3-25.fc15.x86_64 (Fedora Project) 1306313357
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/usr/lib64/libavahi-common.so.3.5.3 avahi-libs-0.6.30-3.fc15.x86_64 (Fedora Project) 1306308741
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1306308739
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1306308930
:/usr/lib64/libvte.so.9.2800.1 vte-0.28.1-1.fc15.x86_64 (Fedora Project) 1311409248
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1306308940
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306308747
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.16-1.fc15.x86_64 (Fedora Project) 1310451793
:/lib64/libutil-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.0.3-1.fc15.x86_64 (Fedora Project) 1307778869
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1306308739
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1306308738
:/lib64/libgcrypt.so.11.6.0 libgcrypt-1.4.6-1.fc15.x86_64 (Fedora Project) 1306308742
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1306308743
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1306308927
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1306308741
:/usr/lib64/libavahi-glib.so.1.0.2 avahi-glib-0.6.30-3.fc15.x86_64 (Fedora Project) 1306308906
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306308747
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc15.x86_64 (Fedora Project) 1306310600
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-16.fc15.x86_64 (Fedora Project) 1306308746
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307778866
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1306308745
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1306308939
:/usr/lib64/libnss3.so nss-3.12.10-1.fc15.x86_64 (Fedora Project) 1306310620
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/usr/lib64/libsmime3.so nss-3.12.10-1.fc15.x86_64 (Fedora Project) 1306310620
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1306308939
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1306308742
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1306308739
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312273823
:/usr/lib64/libgnomecanvas-2.so.0.3000.3 libgnomecanvas-2.30.3-2.fc15.x86_64 (Fedora Project) 1306308953
:/usr/lib64/libgnome-2.so.0.3200.1 libgnome-2.32.1-2.fc15.x86_64 (Fedora Project) 1306308942
:/lib64/libgpg-error.so.0.7.0 libgpg-error-1.9-2.fc15.x86_64 (Fedora Project) 1306308742
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306308946
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1306308748
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1306308940
:/lib64/libidn.so.11.6.2 libidn-1.19-2.fc15.x86_64 (Fedora Project) 1306308750
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309156498
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1312273822
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1306308747
:/usr/lib64/libldap-2.4.so.2.6.0 openldap-2.4.24-3.fc15.x86_64 (Fedora Project) 1311057114
:/usr/lib64/libORBit-2.so.0.1.0 ORBit2-2.14.19-2.fc15.x86_64 (Fedora Project) 1306308773
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308159911
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307778866
:/usr/share/vte/termcap-0.0/xterm vte-0.28.1-1.fc15.x86_64 (Fedora Project) 1311409248
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310016765
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307778866
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1306308742
:/usr/lib64/libart_lgpl_2.so.2.3.21 libart_lgpl-2.3.21-2.fc15.x86_64 (Fedora Project) 1306308750
:/usr/lib64/libssl3.so nss-3.12.10-1.fc15.x86_64 (Fedora Project) 1306310620
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1306308742
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1306308941
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1306308747
:/lib64/libcrypto.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1306308814
:/usr/lib64/libcdda_paranoia.so.0.10.2 cdparanoia-libs-10.2-10.fc15.x86_64 (Fedora Project) 1306308783
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1306308938
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1306308745
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1306308976
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310016765
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307778870
:/usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1306308927
:/usr/lib64/libssh2.so.1.0.1 libssh2-1.2.7-1.fc15.x86_64 (Fedora Project) 1306308854
:/lib64/libplds4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1306310598
:/usr/lib64/libbonoboui-2.so.0.0.0 libbonoboui-2.24.5-1.fc15.x86_64 (Fedora Project) 1306308954
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.x86_64 (Fedora Project) 1311057114
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307778866
:/lib64/libpopt.so.0.0.0 popt-1.13-8.fc15.x86_64 (Fedora Project) 1306308740
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309763601
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1306308741
:/lib64/libplc4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1306310598
:/usr/lib64/libavahi-client.so.3.2.9 avahi-libs-0.6.30-3.fc15.x86_64 (Fedora Project) 1306308741
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310016765
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-2.32.3-1.fc15.x86_64 (Fedora Project) 1306308857
:/usr/lib64/libcurl.so.4.2.0 libcurl-7.21.3-8.fc15.x86_64 (Fedora Project) 1309071520
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306308946
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1306308940

environ:
:XDG_SESSION_ID=1
:HOSTNAME=morija
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=20e0775d4fe5461681f10af70000000b-1312354431.909384-1372890492
:GNOME_KEYRING_CONTROL=/tmp/keyring-10RlqY
:IMSETTINGS_MODULE=none
:USER=sysop
:USERNAME=sysop
:MAIL=/var/spool/mail/sysop
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/sysop/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/sysop
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1440
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/sysop
:SHLVL=1
:LOGNAME=sysop
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-0uHHZO95X0,guid=90483c61be4c4c76a1cac74d00000025
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sysop
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-sysop-0yKEHj/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1450,unix/unix:/tmp/.ICE-unix/1450
:ORBIT_SOCKETDIR=/tmp/orbit-sysop
:GPG_AGENT_INFO=/tmp/keyring-10RlqY/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-10RlqY/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'

var_log_messages:
:Aug  4 16:04:10 morija kernel: [112255.962372] grip[25393]: segfault at 732b4 ip 0000000000407540 sp 00007fffb3d56c80 error 4 in grip[400000+2b000]
:Aug  4 16:04:10 morija abrt[25538]: saved core dump of pid 25393 (/usr/bin/grip) to /var/spool/abrt/ccpp-2011-08-04-16:04:10-25393.new/coredump (60145664 bytes)

xsession_errors:
:(grip:25393): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `GtkObject'
:(grip:25393): Gtk-CRITICAL **: IA__gtk_object_get_user_data: assertion `GTK_IS_OBJECT (object)' failed

Comment 1 Steve 2011-08-04 14:05:49 UTC
Created attachment 516716 [details]
File: maps

Comment 2 Steve 2011-08-30 06:50:26 UTC
Package: grip-3.2.0-30.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Just closed grip.

Comment 3 Ferry Huberts 2012-01-18 09:47:14 UTC
closed program

backtrace_rating: 4
Package: grip-3.2.0-31.fc16
OS Release: Fedora release 16 (Verne)

Comment 4 Ferry Huberts 2012-01-18 09:47:24 UTC
Created attachment 555973 [details]
File: backtrace

Comment 5 abrt-bot 2012-03-21 14:43:31 UTC
*** Bug 681465 has been marked as a duplicate of this bug. ***

Comment 6 Adrian Reber 2012-03-26 09:35:20 UTC
Thanks for the reports. Fixed in grip-3.2.0-35.fc18


Note You need to log in before you can comment on or make changes to this bug.